GET /v1/tables/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tables
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tables.get_versions("a1b2c3d4-e5f6-7890-abcd-ef1234567890")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
table_v1 = Tables.get_specific_version(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
)
print(f"Original description: {table_v1.description}")
import static org.openmetadata.sdk.fluent.Tables.*;
// List all versions
var versions = Tables.getVersions("a1b2c3d4-e5f6-7890-abcd-ef1234567890");
// Get a specific version
Table v1 = Tables.getSpecificVersion(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "table",
"versions": [
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.2,\"updatedAt\":1769982700000,\"updatedBy\":\"admin\",\"description\":\"Updated agent performance summary with new metrics.\"}",
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.1,\"updatedAt\":1769982651320,\"updatedBy\":\"admin\",\"description\":\"Summary of agent performance metrics derived from multiple tables including ssot_utilization_detail for comprehensive reporting.\"}"
]
}
Table Versions
List and retrieve historical versions of a table
GET
/
v1
/
tables
/
{id}
/
versions
GET /v1/tables/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tables
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tables.get_versions("a1b2c3d4-e5f6-7890-abcd-ef1234567890")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
table_v1 = Tables.get_specific_version(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
)
print(f"Original description: {table_v1.description}")
import static org.openmetadata.sdk.fluent.Tables.*;
// List all versions
var versions = Tables.getVersions("a1b2c3d4-e5f6-7890-abcd-ef1234567890");
// Get a specific version
Table v1 = Tables.getSpecificVersion(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "table",
"versions": [
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.2,\"updatedAt\":1769982700000,\"updatedBy\":\"admin\",\"description\":\"Updated agent performance summary with new metrics.\"}",
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.1,\"updatedAt\":1769982651320,\"updatedBy\":\"admin\",\"description\":\"Summary of agent performance metrics derived from multiple tables including ssot_utilization_detail for comprehensive reporting.\"}"
]
}
Table Versions
Every change to a table entity creates a new version. Use these endpoints to view the version history and retrieve specific versions.List Versions
UUID of the table.
Get Specific Version
UseGET /v1/tables/{id}/versions/{version} to retrieve a specific version.
UUID of the table.
Version number to retrieve (e.g.,
0.2).GET /v1/tables/{id}/versions
from metadata.sdk import configure
from metadata.sdk.entities import Tables
configure(
host="https://your-company.open-metadata.org/api",
jwt_token="your-jwt-token"
)
# List all versions
versions = Tables.get_versions("a1b2c3d4-e5f6-7890-abcd-ef1234567890")
for v in versions:
print(f"Version {v.version}: {v.description}")
# Get a specific version
table_v1 = Tables.get_specific_version(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
)
print(f"Original description: {table_v1.description}")
import static org.openmetadata.sdk.fluent.Tables.*;
// List all versions
var versions = Tables.getVersions("a1b2c3d4-e5f6-7890-abcd-ef1234567890");
// Get a specific version
Table v1 = Tables.getSpecificVersion(
"a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"0.1"
);
System.out.println("Description: " + v1.getDescription());
# List all versions
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions" \
-H "Authorization: Bearer {access_token}"
# Get a specific version
curl "{base_url}/api/v1/tables/455e3d9d-dbbf-455e-b3be-7191daa825f3/versions/0.1" \
-H "Authorization: Bearer {access_token}"
{
"entityType": "table",
"versions": [
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.2,\"updatedAt\":1769982700000,\"updatedBy\":\"admin\",\"description\":\"Updated agent performance summary with new metrics.\"}",
"{\"id\":\"455e3d9d-dbbf-455e-b3be-7191daa825f3\",\"name\":\"agent_performance_summary\",\"version\":0.1,\"updatedAt\":1769982651320,\"updatedBy\":\"admin\",\"description\":\"Summary of agent performance metrics derived from multiple tables including ssot_utilization_detail for comprehensive reporting.\"}"
]
}
Returns
List versions returns an object withentityType and a versions array of serialized entity snapshots (newest first).
Get specific version returns the full table object as it existed at that version.
Error Handling
| Code | Error Type | Description |
|---|---|---|
401 | UNAUTHORIZED | Invalid or missing authentication token |
404 | NOT_FOUND | Table or version does not exist |
Was this page helpful?
⌘I